<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('container_id');
            $table->unsignedBigInteger('customer_id')->index()->default(0);
            $table->string('order_number')->index();
            $table->unsignedTinyInteger('order_status')->default(0)->index();
            $table->decimal('total_price')->default(0);
            $table->decimal('products_price')->default(0);
            $table->text('order_comment')->nullable();
            $table->timestamps();
        });
        Schema::table('orders', function (Blueprint $table) {
            $table->unique(['container_id', 'order_number']);
            $table->foreign('container_id')
                ->on('containers')
                ->references('id')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
