@extends('cms::admin.layouts.app')
@php

    /**
 * @var \TDevAgency\Erp\Models\Customer $customer
     * @var \Illuminate\Support\ViewErrorBag $errors
     *
    */

@endphp
@section('content')
    <form action="{{$formRoute}}" method="post" @submit="validateBeforeSubmit">

        @include('erp::components.save')
        @csrf
        @method($formMethod)
        <div class="card card-body">
            <div class="row">
                <div class="col-md-6">
                    @component('cms::components.input')
                        @slot('key', 'email')
                        @slot('type', 'email')
                        @slot('placeholder', trans('erp::erp.email'))
                        @slot('value', old('email', $customer->email?? null))
                    @endcomponent
                </div>
                <div class="col-md-6">
                    @component('cms::components.input')
                        @slot('key', 'phone')
                        @slot('placeholder', trans('erp::erp.phone'))
                        @slot('value', old('phone', $customer->phone?? null))
                    @endcomponent
                </div>
                <div class="col-md-6">
                    @component('cms::components.input')
                        @slot('key', 'last_name')
                        @slot('validate', 'required')
                        @slot('placeholder', trans('erp::erp.last_name'))
                        @slot('value', old('email', $customer->last_name?? null))
                    @endcomponent
                </div>
                <div class="col-md-6">
                    @component('cms::components.input')
                        @slot('key', 'first_name')
                        @slot('validate', 'required')
                        @slot('placeholder', trans('erp::erp.first_name'))
                        @slot('value', old('email', $customer->first_name?? null))
                    @endcomponent
                </div>
            </div>

            @component('cms::components.textarea')
                @slot('key', 'customer_comment')
                @slot('placeholder', trans('erp::erp.customer_comment'))
                @slot('value', old('customer_comment', $customer->customer_comment?? null))
            @endcomponent
        </div>
        <div class="card card-body">
            <customer-addresses
                :countries='@json(Lang::get('erp::countries'))'
                                :addresses='@json(old('customer_addresse', $customer->customer_addresses?? []))' />
        </div>
    </form>
@endsection
@push('vue.components')
    <script src="{{mixErp('js/app.js')}}"></script>
@endpush
