@extends('cms::admin.layouts.app')
@php
    /**
     * @var \TDevAgency\Erp\Models\Order $order
    */
@endphp
@section('content')
    <div class="card card-body">
        <div class="table-responsive">
            <table class="table-styled">
                <thead>
                <tr>
                    <td data-colspan>
                        <form class="input-group" action="{{route('cms.orders.index')}}">
                            <input type="search" name="q" class="form-control"
                                   value="{{Request::query('q')}}"
                                   placeholder="@lang('erp::erp.search_order')">
                            <div class="input-group-append">
                                <button class="btn btn-outline-success"><i class="fas fa-search"></i>
                                    <span class="d-none d-md-inline">@lang('erp::erp.search')</span></button>
                            </div>
                        </form>
                    </td>
                </tr>
                <tr class="collspan-count">
                    <th>@sortablelink('order_number', trans('erp::erp.order_number'))</th>
                    <th>@sortablelink('total_price', trans('erp::erp.total_price'))</th>
                    <th style="width: 380px !important; max-width: 380px">@lang('erp::erp.order_items')</th>
                    <th>@lang('erp::erp.client_data')</th>
                    <th>@lang('erp::erp.delivery_data')</th>
                    <th>@sortablelink('order_status', trans('erp::erp.order_status'))</th>
                    <th class="text-right"><a href="{{route('cms.orders.create')}}"
                                              class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span
                                class="d-none d-md-inline">{{ trans('erp::erp.create_new_btn', ['prop' => mb_strtolower(trans('erp::erp.order'))])}}</span>
                        </a>
                    </th>
                </tr>
                </thead>
                <tbody>
                @forelse($orders as $order)
                    <tr>
                        <th>{{$order->order_number}}</th>
                        <td>{{$order->total_price}}</td>
                        <td style="width: 380px !important; max-width: 380px">
                            @foreach($order->order_items as $position)
                                <div class="row no-gutters" style="flex-wrap: nowrap">
                                    <div class="col">
                                        <a href="{{route('cms.products.edit', $position->product_id)}}">{{$position->product_name}}</a>
                                    </div>
                                    <div class="col-auto text-nowrap">
                                        ({{$position->product_qty}} шт)
                                    </div>
                                </div>
                            @endforeach
                        </td>
                        <td>
                            {{$order->order_customer->first_name ?? null}} {{$order->order_customer->last_name ?? null}}
                            </br>
                            <a href="tel:{{$order->order_customer->phone_one ?? null}}">{{$order->order_customer->phone_one ?? null}}</a>
                            </br>
                            {{$order->order_customer->email ?? null}}

                        </td>
                        <td>
                            <div><b>Оплата:</b> {{$order->order_payment->payment_name}}</div>
                            <div><b>Доставка:</b> {{$order->order_delivery->delivery_name}}</div>
                            @if(isset($order->order_delivery) && $order->order_delivery->delivery_data !== null)
                                <div>
                                    {{$order->order_delivery->delivery_data}}
                                </div>
                            @endif
                            @if($order->order_delivery->track_number !== null)
                                <div>
                                    <b>ТТН:</b> {{$order->order_delivery->track_number}}
                                </div>
                            @endif
                        </td>
                        <td>{!! \TDevAgency\Erp\Helpers\OrderHelper::orderStatus($order->order_status) !!}</td>
                        <td class="text-right text-nowrap">
                            <a href="{{route('cms.orders.edit', $order->id)}}"
                               class="btn btn-outline-success btn-sm"><i class="fas fa-edit"></i>
                                <span class="d-none d-md-inline">@lang('erp::erp.edit_order')</span></a>

                            {{--                            <form method="post" @submit="confirmDelete" class="d-inline"--}}
                            {{--                                  action="{{route('cms.orders.destroy', $order->id)}}">--}}
                            {{--                                @csrf--}}
                            {{--                                @method('DELETE')--}}
                            {{--                                <button class="btn btn-outline-danger btn-sm">--}}
                            {{--                                    <i class="fas fa-trash"></i>--}}
                            {{--                                    <span class="d-none d-md-inline">@lang('cms-fixed::admin.delete')</span>--}}
                            {{--                                </button>--}}
                            {{--                            </form>--}}
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td class="text-muted text-center" data-colspan>@lang('cms-fixed::admin.no_data')</td>
                    </tr>
                @endforelse
                </tbody>
                <tfoot>
                <tr>
                    <td data-colspan="1"> {!! $orders->appends(Request::except('page'))->render() !!}</td>
                    <td class="text-right text-nowrap">
                        <a href="{{route('cms.orders.create')}}" class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span class="d-none d-md-inline">{{ trans('erp::erp.create_new_btn', ['prop' => mb_strtolower(trans('erp::erp.order'))])}}php</span>
                        </a>
                    </td>
                </tr>
                </tfoot>

            </table>
        </div>
    </div>
@endsection

