<?php

use DaveJamesMiller\Breadcrumbs\BreadcrumbsGenerator;
use TDevAgency\Erp\Interfaces\ErpModel;

$erpBreadcrumbsRoutes = [
    'products', 'manufactures', 'containers', 'providers', 'deliveries'
];

foreach ($erpBreadcrumbsRoutes as $item) {
    Breadcrumbs::for('cms.' . $item . '.index', function (BreadcrumbsGenerator $trail) use ($item) {
        $trail->parent('cms.dashboard');
        $trail->push(trans('erp::sidebar.' . $item . '.index'), route('cms.' . $item . '.index'));
    });
    Breadcrumbs::for('cms.' . $item . '.create', function (BreadcrumbsGenerator $trail) use ($item) {
        $trail->parent('cms.' . $item . '.index');
        $trail->push(trans('erp::sidebar.' . $item . '.create'), route('cms.' . $item . '.create'));
    });
    Breadcrumbs::for('cms.' . $item . '.edit', function (BreadcrumbsGenerator $trail, $id) use ($item) {
        $name = is_object($id) ? $id->getName() : null;
        $trail->parent('cms.' . $item . '.index');
        $trail->push(trans('erp::sidebar.' . $item . '.edit', ['name' => $name]), route('cms.' . $item . '.edit', $id));
    });
}
