<?php


namespace TDevAgency\Erp\Controllers\Api\V1;


use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\AnonymousResourceCollection;
use TDevAgency\Cms\Controllers\Controller;
use TDevAgency\Erp\Models\Customer;
use TDevAgency\Erp\Models\CustomerAddress;
use TDevAgency\Erp\Models\Product;
use TDevAgency\Erp\Resources\CustomerResource;
use TDevAgency\Erp\Resources\ProductResource;

class CustomerController extends Controller
{
    /**
     * @param Request $request
     * @return AnonymousResourceCollection
     */
    public function query(Request $request)
    {
        $customers = Customer::container()->searchApi()->with('customer_address')->orderBy('last_name')->get();
        return CustomerResource::collection($customers);
    }

    /**
     * @param $id
     * @param Request $request
     * @return ProductResource
     */
    public function show($id, Request $request)
    {
        return new ProductResource(Product::container()->findOrFail($id));
    }

    /**
     * @param $id
     * @return JsonResponse
     * @throws \Exception
     */
    public function deleteAddress(int $id)
    {
        CustomerAddress::where('id', $id)->delete();

        return JsonResponse::create();
    }
}
