<?php


namespace TDevAgency\Erp\Controllers\Api\V1;


use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use TDevAgency\Cms\Controllers\Controller;
use TDevAgency\NovaPoshtaSdk\Api\AddressGeneral;

class NovaPoshta extends Controller
{

    public function cities(Request $request)
    {
        $cities = \TDevAgency\NovaPoshtaSdk\Facades\NovaPoshta::addressModel()->searchSettlements($request->query->get('query'));
        return new  JsonResponse($cities);
    }

    public function wireHouses(Request $request)
    {
        $points = \TDevAgency\NovaPoshtaSdk\Facades\NovaPoshta::addressGeneralModel()->getWarehouses(['SettlementRef' => $request->query->get('city_ref')], AddressGeneral::CATEGORY_BRANCH);

        $places = [];

        $points->each(function ($item) use (&$places) {
            $places[] = [
                'id' => $item['Ref'],
                'text' => $item['DescriptionRu']
            ];
        });

        return new  JsonResponse($places);
    }

}
