<?php

namespace TDevAgency\Erp\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class CustomerResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'email' => $this->email,
            'full_name' => $this->last_name . ' ' . $this->first_name . ' (' . $this->customer_address->last_name . ' ' . $this->customer_address->first_name . ' ' . $this->customer_address->phone_one . ')',
            'last_name' => $this->customer_address->last_name,
            'first_name' => $this->customer_address->first_name,
            'city' => $this->customer_address->city ?? null,
            'street' => $this->customer_address->street ?? null,
            'house_number' => $this->customer_address->house_number ?? null,
            'postal_code' => $this->customer_address->postal_code ?? null,
            'apt_number' => $this->customer_address->apt_number ?? null,
            'phone_one' => $this->customer_address->phone_one ?? null
        ];
    }
}
